# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$PRISM_INSTALL_DIR = "$OS_HOME\\pSOS\\diab\\prism+-2.0.0-NT";

	# Extras required(?) for NT
	$LICENSE_DIR = "$PRISM_INSTALL_DIR\\licenses";

	if( $LM_LICENSE_FILE = $ENV{'LM_LICENSE_FILE'} )
	{
	    $LM_LICENSE_FILE = "$LM_LICENSE_FILE;$LICENSE_DIR\\license.dat";
	}
	else
	{
	    $LM_LICENSE_FILE = "$LICENSE_DIR\\license.dat";
	}
	$ENV{'LM_LICENSE_FILE'} = $LM_LICENSE_FILE;

	$ENV{'PRISM_INSTALL_DIR'} =  $PRISM_INSTALL_DIR;
	$ENV{'IT_CONFIG_PATH'}    = "$PRISM_INSTALL_DIR\\orbix22";

	$PRISMDIR    = "$PRISM_INSTALL_DIR\\pRISM+";
	$DIABLIB     = "$PRISM_INSTALL_DIR\\diab\\4.2b";
	$PSS_ROOT    = "$PRISM_INSTALL_DIR\\pssppc.250";
	$PSS_BSP     = "$PSS_ROOT\\bsps\\pwrplus";
	$ENV{'PATH'} = "$ENV{'PATH'};$DIABLIB\\win32\\bin"
		     . ";$PSS_ROOT\\bin\\win32;$LICENSE_DIR\\bin\\win32";
    }
    else
    {
	$PRISMDIR    = "$OS_HOME/pSOS/diab/prism+-2.0.0";
	$DIABLIB     = "$PRISMDIR/diab/4.2b";
	$PSS_ROOT    = "$PRISMDIR/pssppc.250";
	$PSS_BSP     = "$PSS_ROOT/bsps/pwrplus";
	$ENV{'PATH'} = "$DIABLIB/SUNS/bin:$PSS_ROOT/bin/solaris:$ENV{'PATH'}";
    }

    $ENV{'PRISMDIR'} = $PRISMDIR;
    $ENV{'DIABLIB'}  = $DIABLIB;
    $ENV{'PSS_ROOT'} = $PSS_ROOT;
    $ENV{'PSS_BSP'}  = $PSS_BSP;
}

$preprocessor = "dplus -t PPC603EH -P";
$target_base  = 'PSOS2';
$supported    = 'Yes';
