/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTEnumerated_inl__
#define __RTEnumerated_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTEnumerated_h__
#include <RTEnumerated.h>
#endif

RTS_INLINE RTEnumerated::operator int( void ) const
{
    return value;
}

RTS_INLINE
RTTypedValue_RTEnumerated::
RTTypedValue_RTEnumerated( const RTEnumerated & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTEnumerated::
RTTypedValue_RTEnumerated( const RTEnumerated   & _value,
			   const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTEnumerated_inl__
