/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTFormat_h__
#define __RTFormat_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class RTFormat
{
public:
    static int _int     ( int,           char *, int );
    static int _long    ( long,          char *, int );
    static int _unsigned( unsigned long, char *, int );
    static int _void    ( const void *,  char *, int );
#if RTUseFloatingPoint
    static int _float   ( float,         char *, int );
    static int _double  ( double,        char *, int );
#endif
};

#endif // __RTFormat_h__
