/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTOBuffer_h__
#define __RTOBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class RTOBuffer
{
public:
		RTOBuffer( void );
    virtual     ~RTOBuffer( void );

    virtual int write( const char * data, int size ) = 0;
    virtual int flush( void ) = 0;

private:
    // unavailable methods
    RTOBuffer( const RTOBuffer & );
    RTOBuffer & operator=( const RTOBuffer & );
};

#endif // __RTOBuffer_h__
