/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorRef.h>

RTActor * RTActorRef::incarnate( const RTActorClass   & actorClass,
				 const void           * data,
				 const RTObject_class * type,
				 RTController         * rts,
				 int                    index )
{
    RTActor * a = incarnate2( &actorClass, rts, index );

    if( a == (RTActor *)0 )
    {
	// incarnate failed
    }
    else if( a->initMe( data, type, context() ) == 0 )
    {
	(void)destroy( a );

	a = (RTActor *)0;
    }

    return a;
}
