/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTOBuffer.h>

int RTAsciiEncoding::putCode( const char * code, int size, Spacing after )
{
    if( before != SpaceNone && after != SpaceNone )
    {
	if( output->write( " ", 1 ) != 1 )
	    return 0;
    }

    if( output->write( code, size ) != size )
	return 0;

    before = after;

    return 1;
}
