/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTDaemonInfo.h>
#include <RTDebugger.h>
#include <RTElasticArray.h>

int RTDaemon::addInfo( RTDaemonInfo * daemonInfo )
{
    int foundPos = posInfo( daemonInfo );

    if( foundPos >= 0 ) // already exists
	return -1;

    foundPos = actorInfo.unusedIndex();

    actorInfo[ foundPos ] = (void *)daemonInfo;

    int probeNr = debugger->addProbe( daemonInfo );

    daemonInfo->probeNr = probeNr;

    return probeNr;
}
