/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemonInfo.h>
#include <RTMemoryUtil.h>

void RTDaemonInfo::setInfoPort( const char * theActor, const char * thePort )
{
    daemonKind = InfoPort;

    setInfo( theActor );

    int portLen = RTMemoryUtil::strlen( thePort );
    portName    = RTMemoryUtil::strdup( thePort, portLen );

    while( portLen > 0 )
    {
	if( portName[ portLen ] == ':' )
	{
	    portName[ portLen ] = '\0';
	    portIndex = RTMemoryUtil::atoi( &portName[ portLen + 1 ] );
	    break;
	}
	--portLen;
    }
}
