/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTDebugger.h>
#include <RTMain.h>
#include <RTMemoryUtil.h>

void RTDebugger::doCmdSystem( void )
{
    int  depth;
    char id[ 200 ];

    if( input.getString( id, (int)sizeof( id ) ) == 0 )
    {
	id[ 0 ] = '1';
	id[ 1 ] = '\0';
    }

    if( (depth = input.getNumber()) < 0 )
	depth = 0;

    printStructure( findActor( id, RTMain::topReference() ), id, depth );
}
