/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTFrame.h>
#include <RTGlobalSignal.h>

#if RTRUNTIMEBC

static const RTGlobalSignal & getFrameGlobalSignal( int )
{
    return RTGlobalSignal::unknown;
}

static int getFrameLocalSignal( const RTGlobalSignal & )
{
    return 0;
}

#endif // RTRUNTIMEBC

const RTProtocolDescriptor Frame::Base::rt_class =
{
    (const RTProtocolDescriptor *)0,
    &rt_class,
    "Frame",
    (RTVersionId)0,
    0, (const RTSignalDescriptor *)0
#if RTRUNTIMEBC
  , getFrameGlobalSignal
  , getFrameLocalSignal
#endif
};
