/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTAsciiEncoding.h>
#include <RTLogBuffer.h>
#include <RTLog.h>

void Log::Base::show( const void * value, const RTObject_class * type )
{
    RTLogBuffer     buffer( this );
    RTAsciiEncoding ascii( &buffer );

    if( ascii.put( value, type ) != 0 )
	(void)ascii.flush();
}
