/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTPortDescriptor.h>
#include <RTProtocol.h>

int RTProtocol::isBoundAt( int index ) const
{
    if( index < 0 || _info->replication <= index )
	return 0; // index out of range

    return _ends[ index ].state != End::Unbound;
}
