/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTObject_class.h>
#include <RTSequence.h>
#include <RTnew.h>

static RTDataObject * _access( RTSequence * target )
{
    return target;
}

static void _init( const RTObject_class *, void * target )
{
    (void)new( target ) RTSequence;
}

static void _copy( const RTObject_class *,
		   void                 * target,
		   const void           * source )
{
    (void)new( target ) RTSequence( *(const RTSequence *)source );
}

const RTObject_class RTSequence::classData =
{
    &RTType_RTDataObject,
    (RTSuperAccessFunction)_access,
    "RTSequence",
    (RTVersionId)0,
    (RTFieldOffset)sizeof( RTSequence ),
    _init,
    _copy,
#if OBJECT_DECODE
    RTstruct_decode,
#endif
#if OBJECT_ENCODE
    RTstruct_encode,
#endif
    RTDataObject_destroy,
    0, (const RTFieldDescriptor *)0
};

#if OBJECT_DECODE
RTTypeInstaller RTSequence_installer( RTType_RTSequence );
#endif

const RTObject_class * RTSequence::getClassData( void ) const
{
    return &RTSequence::classData;
}
