/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTimerNode.h>

void RTTimerNode::_connect( RTTimerId * id )
{
    RTAssert( id->node      == (RTTimerNode *)0 );
    RTAssert( id->ring.prev == &id->ring );
    RTAssert( id->ring.next == &id->ring );

    id->node      = this;
    id->ring.prev = id_ring.prev;
    id->ring.next = &id_ring;

    id_ring.prev->next = &id->ring;
    id_ring.prev       = &id->ring;
}
