/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDiag.h>
#include <RTTimerNode.h>

void RTTimerNode::_disconnect( RTTimerId * id )
{
    RTTimerNode * node = id->node;

    if( node != (RTTimerNode *)0 )
    {
	id->node = (RTTimerNode *)0;

	id->ring.prev->next = id->ring.next;
	id->ring.next->prev = id->ring.prev;

	id->ring.prev = &id->ring;
	id->ring.next = &id->ring;

	if( node->active == 0 && node->id_ring.next == &node->id_ring )
	    node->owner->freeTimerNode( node );
    }
}
