/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTTimerNode.h>

RTTimerNode::RTTimerNode( const RTTimerNode & )
    : sap            ( (Timing::Base         *)0 )
    , prev           ( (RTTimerNode          *)0 )
    , next           ( (RTTimerNode          *)0 )
    , link           (                           )
    , owner          ( (RTController         *)0 )
    , msg            ( (RTMessage            *)0 )
    , expireTime     (                           )
    , repeatInterval (                           )
    , missedIntervals(                         0 )
    , data           ( (void                 *)0 )
    , type           ( (const RTObject_class *)0 )
    , id_ring        (                           )
    , active         (                         0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerNode( const RTTimerNode & )'" );
}

RTTimerNode & RTTimerNode::operator=( const RTTimerNode & )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTTimerNode::operator=( const RTTimerNode & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
