/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMain.h>
#include <RTSystemDescriptor.h>

#include <sched/chSched.h>

// this is found with RTTimespec::getclock
extern void RTTimespec_initialize( void );

void RTMain::targetStartup( void )
{
    // make sure univTime is set
    RTTimespec_initialize();

    // set our priority to the default
    KnThreadDefaultSched newparam;

    newparam.tdClass    = K_SCHED_DEFAULT;
    newparam.tdPriority = _system->mainPriority;

    if( threadScheduler( K_MYACTOR, K_MYSELF, (void *)0, &newparam ) != K_OK )
	RTDiag::panic( "threadScheduler" );
}
