/********************************************************************/
/*Licensed Materials - Property of IBM                              */ 
/*Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 */ 
/*Copyright IBM Corporation 1999, 2007. All Rights Reserved.      */ 
/*U.S. Government Users Restricted Rights -  Use, duplication or    */ 
/*disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.*/ 
/********************************************************************/

#include <RTDiag.h>
#include <RTMain.h>

#if defined (VXWORKS60)
#include <sys/types.h>
#endif

#include <signal.h>

void RTMain::installOneHandler( int signo, void (* handler)( void ) )
{
    struct sigaction action;

    *(void (**)( void ))&action.sa_handler = handler; //lint !e740
    (void)sigemptyset( &action.sa_mask );
    (void)sigaddset( &action.sa_mask, signo );
    action.sa_flags  = 0;
    if( sigaction( signo, &action, (struct sigaction *)0 ) != 0 )
	RTDiag::panic( "sigaction" );

    sigset_t mask;

    (void)sigemptyset( &mask );
    (void)sigaddset( &mask, signo );

    (void)sigprocmask( SIG_UNBLOCK, &mask, (sigset_t *)0 );
}
