# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



package config;

# Error parser handlers

@handlers =
(
    [ '(^\s*ERROR:\s*\(A\d*\) .*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(FATAL ERROR:\s*\(A\d*\) .*)', sub { rterror::action_message( $1, 0 ) } ],
    [ '(^\s*\(A\d*\) .*)', sub { rterror::action_message( $1, 1 ) } ],
    [ '(^Can.t find library for .*)', sub { rterror::action_message( $1, 1 ) } ],
    [ '(WARNING:\s*\(A\d*\).*)', sub { rterror::action_message( $1, 1 ) } ]
);

return 1;
