/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTSequenceOf_inl__
#define __RTSequenceOf_inl__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTSequenceOf_h__
#include <RTSequenceOf.h>
#endif

RTS_INLINE RTDataObject & RTSequenceOf::at( int i ) const
{
    return operator[]( i - 1 );
}

RTS_INLINE
RTTypedValue_RTSequenceOf::
RTTypedValue_RTSequenceOf( const RTSequenceOf & _value )
    : data( &_value )
    , type( _value.getClassData() )
{
}

RTS_INLINE
RTTypedValue_RTSequenceOf::
RTTypedValue_RTSequenceOf( const RTSequenceOf   & _value,
			   const RTObject_class * _type )
    : data( &_value )
    , type( _type   )
{
}

#endif // __RTSequenceOf_inl__
