/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTActorClass.h"
#endif

#include <RTActorClass.h>

int RTActorClass::isKindOf( const RTActorClass * superclass ) const
{
    const RTActorClass * _class_ = this;

    for(;;)
    {
	if( _class_ == superclass )
	    break;

	if( _class_ == (const RTActorClass *)0 )
	    return 0;

	_class_ = _class_->super;
    }

    return 1;
}
