/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorProbe.h>
#include <RTDebugger.h>

void RTActorProbe::evtHistory( int state )
{
    int histHist = 0;
    int histCurr = 0;

    if( _actor != (RTActor *)0 && state > 0 )
    {
	histHist = _actor->getHistory( state );
	histCurr = _actor->getCurrentState();
    }

    (void)_debugger->evtHistory( _id, _actorIndex, _actor,
				 state, histHist, histCurr );
}
