/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor_class.h>
#include <RTFieldDescriptor.h>

const RTFieldDescriptor *
RTActor_class::findAttribute( const char * name ) const
{
    const RTActor_class     * _class = this;
    const RTFieldDescriptor * field;

    while( (field = _class->attributes->lookup( _class->numAttributes, name ))
	       == (const RTFieldDescriptor *)0 &&
	   (_class = _class->super) != (const RTActor_class *)0 )
    {
	// continue with the base class
    }

    return field;
}
