/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTMessage.h>
#include <RTResourceMgr.h>

RTMessage * RTDebugger::newMsg( void )
{
#if PURIFY
    return new RTMessage;
#else
    RTMessage * msg = freeList;

    if( msg == (RTMessage *)0 )
    {
	freeListSize += RTController::resourceMgr.msgAlloc( freeList );
	msg = freeList;
    }

    if( msg != (RTMessage *)0 )
    {
	freeList = (RTMessage *)msg->next;
	--freeListSize;
    }

    return msg;
#endif
}
