/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebuggerInput.h>
#include <RTDiag.h>

//lint -save
//lint -esym(1744,RTDebuggerInput::unget_buffer)
//lint -esym(1927,RTDebuggerInput::unget_buffer)

RTDebuggerInput::RTDebuggerInput( const RTDebuggerInput & )
    : need_prompt(               1 )
    , prompt     ( (const char *)0 )
    , unget_size (               0 )
    , input      ( (const char *)0 )
{
    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTDebuggerInput( const RTDebuggerInput & )'" );
}

//lint -restore

RTDebuggerInput & RTDebuggerInput::operator=( const RTDebuggerInput & )
{
    RTDiag::panic( "Unavailable method called:\n"
	      "    'RTDebuggerInput::operator=( const RTDebuggerInput & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
