/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorClass.h>
#include <RTActorId.h>
#include <RTActor_class.h>
#include <RTFrame.h>

const RTActorClass & Frame::Base::classOf( const RTActorId & incarnation )
{
    RTActor * actor = incarnation;

    return actor != (RTActor *)0 ? *actor->getActorData()->type
				 : EmptyActorClass;
}
