/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTLayerConnector.h>
#include <RTProtocol.h>
#include <RTQueue.h>

int RTLayerConnector::total_replication( const RTQueue * queue )
{
    int result = 0;

    if( queue != (const RTQueue *)0 )
    {
	RTQueue::Iterator   iterator( *queue );
	void              * entry;

	while( (entry = iterator.next()) != (void *)0 )
	    result += ((Pending *)entry)->size();
    }

    return result;
}
