/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTBindingEnd.h>
#include <RTLayerConnector.h>
#include <RTProtocol.h>

void RTLayerConnector::unbind( RTController * context, RTProtocol & port )
{
    RTBindingEnd end;

    for( end.port = &port, end.index = port.size(); --end.index >= 0; )
	unbind( context, end );
}

void RTLayerConnector::unbind( RTController * context,
			       RTBindingEnd & end )
{
    end.port->unbindAt( end.index, context );
}
