/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTToolsetObserver.h>

//lint -save -e1738
//lint -esym(1927,RTToolsetObserver::rxBuffer)
//lint -esym(1927,RTToolsetObserver::structInfo)
//lint -esym(1927,RTToolsetObserver::txBuffer)
//lint -esym(1927,RTToolsetObserver::txTempBuffer)

RTToolsetObserver::RTToolsetObserver( const RTToolsetObserver & )
    : RTObserver( (RTDebugger *)0, (RTTcpSocket *)0, 0 )
{
    rxBuffer.size = 0;
    rxBuffer.data = (char *)0;

    txBuffer.size = 0;
    txBuffer.data = (char *)0;

    txTempBuffer.size = 0;
    txTempBuffer.data = (char *)0;

    structInfo.func            =         0;
    structInfo.ptr             = (void *)0;
    structInfo.daemon.number   =         0;
    structInfo.daemon.invokeID = (char *)0;

    RTDiag::panic( "Unavailable method called:\n"
		   "    'RTToolsetObserver( const RTToolsetObserver & )'" );
}

//lint -restore

RTToolsetObserver & RTToolsetObserver::operator=( const RTToolsetObserver & )
{
    RTDiag::panic( "Unavailable method called:\n"
	    "    'RTToolsetObserver::operator=( const RTToolsetObserver & )'" );

    //lint -unreachable
    return *this;
} //lint !e1529
