/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTPrefix_h__
#define __RTPrefix_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

struct RTPrefix
{
    const RTPrefix * prefix;
    int              compId;
    int              index;

    RTS_INLINE explicit RTPrefix( const RTPrefix * );
}; //lint !e1712

#if RTS_INLINES
#include <RTPrefix.inl>
#endif

#endif // __RTPrefix_h__
