/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTcpInBuffer_h__
#define __RTTcpInBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTIBuffer_h__
#include <RTIBuffer.h>
#endif

class RTTcpSocket;

class RTTcpInBuffer : public RTIBuffer
{
public:
    explicit    RTTcpInBuffer( RTTcpSocket * );
    virtual     ~RTTcpInBuffer( void );

    virtual int get( char & );

private:
    RTTcpSocket * socket;
    int           get_offset;
    int           put_offset;
    char          buffer[ 80 ];

private:
    // unavailable methods
    RTTcpInBuffer( const RTTcpInBuffer & );
    RTTcpInBuffer & operator=( const RTTcpInBuffer & );
}; //lint !e1712

#endif // __RTTcpInBuffer_h__
