/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTNucleus.h>
#include <RTTimespec.h>

void RTTimespec::getclock( RTTimespec & ts )
{
    UNSIGNED ticks = NU_Retrieve_Clock();

    ts.tv_sec  =   ticks / (UNSIGNED)RTNucleus::ticks_per_second;
    ts.tv_nsec = ( ticks % (UNSIGNED)RTNucleus::ticks_per_second )
				   * RTNucleus::clock_period;
}
