/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMain.h>
#include <RTOse.h>

// static thread function - started from osemain.c
// This is not used as the main thread because stack size
// and priority are not known from with osemain.c.

OS_PROCESS( main_thread_func )
{
    (void)RTMain::entryPoint( 0, (const char * const *)0 );

    // stop current process since terminating static process causes error
    ose_stop( current_process() );
}
