/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDebugger.h>
#include <RTObsCtrlTask.h>
#include <RTinet.h>

void RTDebugger::wakeupUdp( void )
{
    if( _udp != INET_NO_SOCKET )
    {
	// Since pSOS requires that tasks share sockets, there
	// is an intermediate task that will write to the socket
	// to wake me up. This is accomplished by sending an
	// event to that task.

	((RTObsCtrlTask *)_trigger)->sendEvent();
    }
}
