/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTMutex.h"
#endif

#include <RTMutex.h>

#include <semaphore.h>

RTMutex::~RTMutex( void )
{
    if( mutex )
    {
	sem_t * sem = (sem_t *)mutex;

	sem_destroy( sem );
	delete sem;

	mutex = (void *)0;
    }
}
